{
  "version": "1.0.0",
  "name": "asp.net",
  "private": true,
  "author": "",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "build:stats": "ng build --stats-json",
    "build:prod": "ng build --configuration production",
    "build:testing": "ng build --configuration testing",
    "build:dev": "ng build --configuration development",
    "watch": "ng build --watch --configuration development",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx",
    "test": "ng test --code-coverage",
    "test:ci": "ng test --watch=false --reporters=teamcity",
    "pretty": "prettier --write \"./**/*.{ts,html}\"",
    "analyze": "webpack-bundle-analyzer dist/stats.json",
    "docs:json": "compodoc -p ./tsconfig.json -e json -d .",
    "storybook": "npm run docs:json && start-storybook -p 6006",
    "build-storybook": "npm run docs:json && build-storybook"
  },
  "dependencies": {
    "@angular/animations": "~12.2.13",
    "@angular/cdk": "~12.2.13",
    "@angular/common": "~12.2.13",
    "@angular/compiler": "~12.2.13",
    "@angular/core": "~12.2.13",
    "@angular/forms": "~12.2.13",
    "@angular/platform-browser": "~12.2.13",
    "@angular/platform-browser-dynamic": "~12.2.13",
    "@angular/router": "~12.2.13",
    "@microsoft/signalr": "^9.0.6",
    "@ngx-translate/core": "~12.1.2",
    "@ngx-translate/http-loader": "^4.0.0",
    "applicationinsights-js": "^1.0.21",
    "leaflet": "^1.7.1",
    "messageformat": "^2.3.0",
    "moment": "^2.30.1",
    "ngx-moment": "^5.0.0",
    "ngx-translate-messageformat-compiler": "^4.9.0",
    "primeicons": "^4.0.0",
    "primeng": "^10.0.3",
    "rxjs": "~6.5.4",
    "rxjs-compat": "^6.6.7",
    "sass": "^1.27.0",
    "zone.js": "~0.11.4"
  },
  "devDependencies": {
    "@angular-builders/custom-webpack": "~12.0.0",
    "@angular-devkit/build-angular": "~12.2.13",
    "@angular/cli": "~12.2.13",
    "@angular/compiler-cli": "~12.2.13",
    "@babel/core": "^7.17.9",
    "@compodoc/compodoc": "^1.1.19",
    "@storybook/addon-actions": "^6.4.20",
    "@storybook/addon-essentials": "^6.4.20",
    "@storybook/addon-interactions": "^6.4.20",
    "@storybook/addon-links": "^6.4.20",
    "@storybook/angular": "^6.4.20",
    "@storybook/builder-webpack5": "^6.4.20",
    "@storybook/manager-webpack5": "^6.4.20",
    "@storybook/testing-library": "0.0.9",
    "@types/jasmine": "^3.10.2",
    "@types/leaflet": "^1.7.1",
    "@types/node": "^12.11.1",
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "babel-loader": "^8.2.4",
    "eslint": "^8.2.0",
    "eslint-config-prettier": "8.3.0",
    "eslint-plugin-storybook": "^0.5.7",
    "jasmine-core": "~3.10.1",
    "karma": "^6.3.20",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage": "^2.0.3",
    "karma-jasmine": "~4.0.1",
    "karma-jasmine-html-reporter": "~1.7.0",
    "karma-phantomjs-launcher": "^1.0.4",
    "karma-teamcity-reporter": "^1.1.0",
    "prettier": "2.4.1",
    "start-server-and-test": "~1.14.0",
    "timezone-mock": "^1.3.2",
    "typescript": "~4.3.5",
    "webpack-bundle-analyzer": "^4.5.0"
  },
  "browserslist": [
    "Chrome > 45",
    "Safari > 9.1",
    "Firefox > 45",
    "Opera > 41",
    "Android > 4.3",
    "iOS > 9",
    "Edge > 13"
  ],
  "main": ".eslintrc.js",
  "keywords": [],
  "license": "ISC",
  "description": ""
}
